#
# zabbix server
#

update_conf_server:
	cp conf/zabbix_server.conf debian/conf/zabbix_server.conf
	sed -i \
		-e '/^# PidFile=/a \\nPidFile=/var/run/zabbix/zabbix_server.pid' \
		-e 's|^LogFile=.*|LogFile=/var/log/zabbix/zabbix_server.log|g' \
		-e '/^# LogFileSize=/a \\nLogFileSize=0' \
		-e '/^# AlertScriptsPath=/a \\nAlertScriptsPath=/usr/lib/zabbix/alertscripts' \
		-e '/^# ExternalScripts=/a \\nExternalScripts=/usr/lib/zabbix/externalscripts' \
		-e '/^# FpingLocation=/a \\nFpingLocation=/usr/bin/fping' \
		-e '/^# Fping6Location=/a \\nFping6Location=/usr/bin/fping6' \
		-e 's|^DBUser=root|DBUser=zabbix|g' \
		-e '/^# SNMPTrapperFile=.*/a \\nSNMPTrapperFile=/var/log/snmptrap/snmptrap.log' \
		-e '/^# SocketDir=/a \\nSocketDir=/var/run/zabbix' \
	debian/conf/zabbix_server.conf


installinit_server:
	dh_installinit --no-start -p zabbix-server-mysql --name=zabbix-server
	dh_installinit --no-start -p zabbix-server-pgsql --name=zabbix-server

clean_server: run_dh_clean
	rm -f debian/conf/zabbix_server.conf

BUILD_TARGETS += update_conf_server
INSTALLINIT_TARGETS += installinit_server
CLEAN_TARGETS += clean_server
